#
# Conditional build:
%bcond_with	hwdata_check	# check hwdata usb.ids freshness
#
Summary:	Linux USB utilities
Summary(pl.UTF-8):	Linuksowe narzędzia do USB
Summary(pt_BR.UTF-8):	Utilitários Linux USB
Name:		usbutils
Version:	007
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.xz
# Source0-md5:	c9df5107ae9d26b10a1736a261250139
Patch0:		hwdata.patch
URL:		http://www.linux-usb.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
%{?with_hwdata_check:BuildRequires:	hwdata >= 0.249}
BuildRequires:	libtool
BuildRequires:	libusb-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	hwdata >= 0.249
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		hwdatadir	/lib/hwdata
%define		_datadir	%{hwdatadir}

%description
usbutils contains a utility for inspecting devices connected to the
USB bus. It requires a Linux kernel version 2.3.15 or newer
(supporting the '/proc/bus/usb' interface) or patched PLD's 2.2
kernel.

%description -l pl.UTF-8
Pakiet usbutils zawiera narzędzie do przeglądania urządzeń
podłączonych do szyny USB. Wymaga jądra w werji 2.3.15 lub nowszej (z
obsługą interfejsu /proc/bus/usb) lub jądra 2.2 z PLD.

%description -l pt_BR.UTF-8
Este pacote contém utilitários para inspecionar dispositivos
conectados a um barramento USB.

%prep
%setup -q
%patch0 -p1

%if %{with hwdata_check}
# paranoid check whether usb.ids in system isn't too old
if [ usb.ids -nt %{hwdatadir}/usb.ids ]; then
	: usb.ids needs to be updated
	exit 1
fi
%endif
%{__rm} usb.ids

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-usbids \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	pkgconfigdir=%{_pkgconfigdir} \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_bindir}/lsusb.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/lsusb
%attr(755,root,root) %{_bindir}/usb-devices
%attr(755,root,root) %{_bindir}/usbhid-dump
%{_mandir}/man1/usb-devices.1*
%{_mandir}/man8/lsusb.8*
%{_mandir}/man8/usbhid-dump.8*
# there is no devel package for now and the dir is part of filesystem
%{_pkgconfigdir}/usbutils.pc
%changelog
* Sun Jun 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/usbutils.git;a=log;h=master

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 13c3865
- updated to 007
- disable usb.ids check for now (provided usb.ids has only a few more IDs than hwdata 0.249)

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> ed8b032
- added hwdata_check bcond

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 739abb6
- override datadir, lsusb.c uses DATADIR to locate usb.ids

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 01497d8
- use /lib/hwdata for early boot access

* Tue Jan 22 2013 Elan Ruusamäe <glen@delfi.ee> ef10530
- update hwdata path

* Sat Jan 19 2013 Elan Ruusamäe <glen@delfi.ee> 0ccdd76
- use system hwdata package

* Fri Jul 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a0c31a2
- up to 006

* Wed Aug 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 9f97dac
- updated to 004

* Thu Jun 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dd84be1
- up to 003

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 750845d
- disable silent-rules

* Fri Mar 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> da65224
- up to 002

* Thu Dec 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a1ac6aa
- up to 001

* Sat Oct 23 2010 Jakub Bogusz <qboosh@pld-linux.org> b8a227e
- package usbhid-dump
- ac/am versions

* Sat Oct 23 2010 pawelz <pawelz@pld-linux.org> c97b49c
- up to 0.91

* Fri Aug 13 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b7e0f43
- up to 0.90

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 1e35145
- BR: pkgconfig

* Thu Mar 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d30215c
- up to 0.87

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 55e3c5e
- updated to 0.86

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fe7746f
- up to 0.84

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ffaf5fb
- drop obsolete files

